@import url("https://fonts.googleapis.com/css2?family=Roboto:wght@400;700&display=swap");

* {
  box-sizing: border-box;
}

body {
  font-family: "Roboto", sans-serif;
  height: 100vh;
  overflow: hidden;
  margin: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  background-image: linear-gradient(90deg, #7d5fff, #7158e2);
}

.search {
  position: relative;
  height: 3.125rem;
}

.search .input {
  background-color: #fff;
  font-size: 1.125rem;
  border: 0;
  height: 3.125rem;
  width: 3.125rem;
  padding: 1rem;
  transition: width 0.3s ease;
  margin: 0;
}

.btn {
  background-color: #fff;
  border: none;
  cursor: pointer;
  font-size: 1.5rem;
  position: absolute;
  top: 0;
  left: 0;
  height: 3.125rem;
  width: 3.125rem;
  transition: transform 0.3s ease;
}

.input:focus,
.btn:focus {
  outline: none;
}

.search.active .input {
  width: 12.5rem;
}

.search.active .btn {
  transform: translateX(12.375rem);
}
